Subject: Re: bug#16575: Unwanted interaction between Emacs & Oxford English Dictionary

From: [email-masked]
Date: Thu, 20 Feb 2014 14:35:25 -0800 (PST)

On Monday, January 27, 2014 10:06:59 PM UTC-5, Joe Fineman wrote:
> I use GNU Emacs 24.3 with Cygwin 1.5.25(0.156/4/2) under Windows XP
> 
> Professional Service Pack 3 Build 2600.  For many years I have been
> 
> using the CD-ROM Oxford English Dictionary, Version 3.1.  Since
> 
> December 2012 (at which time I was using Emacs 22.3), the two have
> 
> interacted in a bizarre way:  Whenever the OED and Emacs are both
> 
> running, if in Emacs I make a deletion, the computer switches to the
> 
> OED window and attempts to look up the character or string deleted.
> 
> (That of course is an intolerable distraction and means that I have to
> 
> kill the OED after each use of it.)  This behavior has survived the
> 
> upgrade from Emacs 22.3 to 24.3.  It does not occur with deletions in
> 
> other software such as Conkeror and Microsoft Word, so I *suppose* it
> 
> is a peculiarity of Emacs.
> 
> 
> 
> Feel free to speculate.  %^)
> 
> -- 
> 
> ---  Joe Fineman    [email-masked]
> 
> 
> 
> ||:  Wealth, like happiness, is best attained while pursuing  :||
> 
> ||:  something else.                                          :||

In case anybody cares, I have found the source of this misbehavior.  It is a bug in an OED feature I had been unaware of.  The way to make it go away is to click on Options & then unclick "Auto-search from clipboard".  Why this feature, with accompanying bug, chose to light on Emacs is not clear to me, but conceivably it has something to do with Emacs & therefore possibly belongs here after all.